Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.gef
Class HostCellEditPart

    java.lang.Object
      AbstractGraphicalEditPart
          org.eclipse.amp.agf.gef.GenericEditPart
              org.eclipse.amp.agf.gef.AgentEditPart
                  org.eclipse.amp.escape.ascape.gef.HostCellEditPart

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener

    public class HostCellEditPart

extends AgentEditPart

The Class HostCellEditPart.

Field Summary

Fields inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`anchor, HIGHLIGHT_ELLIPSE, HIGHLIGHT_RECTANGLE, noFigureWarning, SCALE, SIZE_FULL, SIZE_INSET_1`

Constructor Summary
`HostCellEditPart()`

Method Summary
`protected IFigure` | `buildFigure(IFigure figure)` Construct the figure used to represent this agent.

Methods inherited from class org.eclipse.amp.agf.gef.AgentEditPart
`getConnectionAnchor, getModelSourceConnections, getModelTargetConnections, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor`

Methods inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`activate, createEditPolicies, createFigure, deactivate, propertyChange, refresh, refreshVisuals, shapeMarker, shapeMarker2, shapeMarker3, shapeMarker4, shapeOval, shapeRectangle, shapeRoundedRect, updateSelection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HostCellEditPart

    public HostCellEditPart()

Method Detail

### buildFigure

    protected IFigure buildFigure(IFigure figure)

  Description copied from class: `GenericEditPart`
  Construct the figure used to represent this agent. This method is intended to both create and update figures. If a figure is passed in, this method should modify that figure as desired. If no figure is passed in, this method should create that figure and then update it.

  Overrides:
    `buildFigure` in class `GenericEditPart`
  Parameters:
    `figure` -
  Returns:
  See Also:
    `org.eclipse.amp.agf.gef.GenericEditPart#buildFigure(org.eclipse.draw2d.IFigure)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors